const setElementDisplay = (element, display) => {
  element.style.display = display;
};

const toggleElementDisplay = (element) => {
  setElementDisplay(
    element,
    element.style.display === "inline-block" ? "none" : "inline-block"
  );
};

let lightDisplay, darkDisplay;

document.addEventListener("DOMContentLoaded", function () {
  const lightsoff = getCookie("lightsoff") === "on";

  setElementDisplay(document.querySelector(".theme_toggle"), "inline-block");

  lightDisplay = document.querySelector("#theme-toggle-light");
  darkDisplay = document.querySelector("#theme-toggle-dark");

  setElementDisplay(lightDisplay, lightsoff ? "inline-block" : "none");
  setElementDisplay(darkDisplay, !lightsoff ? "inline-block" : "none");

  if (lightsoff) updateTheme();
});

const updateTheme = () => {
  const htmlTag = document.querySelector("html");
  htmlTag.classList.toggle("dark");

  const isLightsOff = htmlTag.classList.contains("dark") ? "on" : "off";
  setCookie("lightsoff", isLightsOff, 365);
};

const toggleLights = () => {
  toggleElementDisplay(lightDisplay);
  toggleElementDisplay(darkDisplay);
  updateTheme();
};
